# Uses of Class
serp.bytecode.BootstrapMethods

Packages that use BootstrapMethods
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of BootstrapMethods in serp.bytecode

Methods in serp.bytecode that return BootstrapMethods
Modifier and Type
Method
Description
`BootstrapMethods`
BootstrapMethodElement.`getBootstrapMethodAttribute()`
Methods in serp.bytecode with parameters of type BootstrapMethods
Modifier and Type
Method
Description
`void`
BootstrapMethodElement.`setBootstrapMethodAttribute(BootstrapMethods bootstrapMethodAttribute)`
Constructors in serp.bytecode with parameters of type BootstrapMethods
Modifier
Constructor
Description
``
`BootstrapMethodElement(BootstrapMethods bootstrapmethodAttr, int bootstrap_method_ref, int num_bootstrap_arguments, int[] bootstrap_arguments)`
``
`BootstrapMethodElement(BootstrapMethods bootstrapmethodAttr, DataInput in)`

## Uses of BootstrapMethods in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type BootstrapMethods
Modifier and Type
Method
Description
`void`
BCVisitor.`enterBootstrapMethod(BootstrapMethods obj)`
`void`
BCVisitor.`exitBootstrapMethod(BootstrapMethods obj)`